<?php 

// アイキャッチ画像設定
add_theme_support( 'post-thumbnails' );

// javaScriptファイルを読み込ませる
function my_script() {
  wp_enqueue_script(
    'myscript',
    get_template_directory_uri() . '/script.js',
    array(),
    // JavaScriptのバージョン番号:出力する→true、しない:false
    false,
    //farse→ヘッダーでJavaScriptを読み込む、true→フッターで読み込む
    true
  );
}
add_action( 'wp_enqueue_scripts', 'my_script');

// タイトルタグ設定
add_theme_support( 'title-tag' );

//タイトルタグのみ出力
function change_doc_title_parts( $title ){
  $title['tagline'] = '';
 
  return $title;
}
add_filter( 'document_title_parts', 'change_doc_title_parts' );


// excerptの文字数を50に制限
function twpp_change_excerpt_length( $length ) {
  return 50; 
}
add_filter( 'excerpt_length', 'twpp_change_excerpt_length', 999 );

// 「続きを読む」のリンクを設定
function twpp_change_excerpt_more( $more ) {
  $html = '<div class="more"><a href="' . esc_url( get_permalink() ) . '">...続きを読む</a></div>';
  return $html;
}

add_filter( 'excerpt_more', 'twpp_change_excerpt_more' );



// メニューを追加
function register_my_menus() {
  register_nav_menus(
    array(
      'main-menu' => __( 'メインメニュー' ),
      'sidebar-menu' => __( 'サイドバーメニュー' ),
    )
  );
}
add_action( 'init', 'register_my_menus' );



// ウィジェットを追加
if ( function_exists('register_sidebar') )
    { register_sidebar(array(
        'name' => 'サイドバー',
        'id' => 'sidebar',
        'description' => 'ウィジェットエリアの説明',
        'before_widget' => '<div>',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>'
        )); 
    }


    // archive.phpを作成
    function post_has_archive($args, $post_type){
      if('post'== $post_type){
        $args['rewrite']=true;
        $args ["label"] = '投稿'; /*「投稿」のラベル名 */
        $args['has_archive']='posts'; /* アーカイブにつけるスラッグ名 */
      }
      return $args;
    }
    
    add_filter('register_post_type_args', 'post_has_archive', 10, 2);






